# Content Management

This is the management API for creating, updating and deleting content, media, languages, relations, members and member groups. It also allows you to retrieve content drafts as well as Content Types, Media Types and Member Types.

Common for the Content Management API is that you must be authenticated and authorized when performing any action against the endpoints listed below. This means that you must supply a Bearer Token via an Authorization header or an API Key via an Authorization or Api-Key header.

## [Content endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/content)

Content endpoints for retrieving, creating, updating and deleting.

## [Content Type endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/content/type)

Content Type endpoints for retrieving all available and specific content types. We also expose endpoints for publishing and unpublishing content.

## [Media endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/media)

Media endpoints for retrieving, creating, updating and deleting.

## [Media Type endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/media/type)

Media Type endpoints for retrieving all available and specific media types.

## [Language endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/language)

Language endpoints for retrieving, creating, updating and deleting.

## [Member endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/member)

Member endpoints for retrieving, creating, updating and deleting. We also expose endpoints for adding a member to member group and removing a member group from a member.

## [Member Group endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/member/group)

Member Group endpoints for retrieving, creating and deleting.

## [Member Type endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/member/type)

Member Type endpoints for retrieving all available and specific member types.

## [Relation endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/relation)

Relation endpoints for retrieving, creating and deleting.

## [Relation Type endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/relation/type)

Relation Type endpoints for retrieving specific relation types.

## [Umbraco Forms endpoints](https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management/forms)

Umbraco Forms endpoints for retrieving and submitting forms.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-heartcore/api-documentation/content-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
